Add collection to sales channels
PUT https://{handle}.myshopline.com/admin/openapi/v20261201/collection_listings/:collection_listing_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- collection_listing_id string requiredCategory id 1Example:
12248721639068681442230282
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
collection_listingobject
collection informationcollection_listing_id stringcollection idExample:12248721639068681442230283
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
collection_listingobject
Collection informationpublished_at stringTime to post to the online storeExample:2021-09-03T14:11:54+00:00title stringCollection titleExample:This is a collection titledisjunctive booleanThe relationship between the conditions of the intelligent collection box and the Product is fixed . true : Product meets any conditions and can be incorporated into this intelligent collection ; false : Product must meet all conditions and must be fully compliant to be incorporated into this intelligent collectionExample:trueid stringCollection idExample:12248721639068681442230284collection_type stringCollection type : custom , smartExample:smartsort_order stringHot sale : best-selling product name from a-z : alpha-asc product name from z-a : alpha-desc update time new → old : updated-desc update time old → new : updated-asc custom created time new → old : created-desc created time old → new : created-asc sku minimum selling price ascending : price-asc sku minimum selling price descending : price-desc browse in almost 90 days descending : vIew-desc added purchase in nearly 90 days descending : add-to-cart-desc CONVERSION RATES descending : conversion-ratExample:add-to-cart-descrulesobject[]
Smartly add conditioncondition stringConditionsExample:truecondition_object_id longThe ID of the metafield objectExample:483749284relation stringIf-else statementExample:equalscolumn stringCondition variableExample:product_metafield_definitioncreated_at stringCreation timeExample:2021-09-03T14:11:54+00:00updated_at stringUpdate timeExample:2021-09-03T14:11:54+00:00handle stringCollection HandleExample:collection-handlebannerobject
Collection banneralt stringaltExample:This is the image altsrc stringsrcExample:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngbody_html stringCollection descriptionExample:This is the descriptionpublished_scope stringSet the sales channel , when the value is " web " , it means online storesExample:webimageobject
Ccollection imagesalt stringImage altExample:This is the image altsrc stringImage srcExample:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngtemplate_path stringTemplate pathExample:templates/sortation/detail.json
API Explorer
Debugger
Examples
Was this article helpful to you?